using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class sayacc : MonoBehaviour
{
    public TMP_Text popit;
    public TextMeshProUGUI timerText; // Sayaç bilgisi gösterecek TMP Text
    public static int timer = 7; // Sayaç değeri
    public static bool isRunning = true; // Sayaç çalışıyor mu?
    void Start()
    {
        StartCoroutine(StartTimer());
        StartCoroutine(popitt());
        timer=7;
        
    }

    void Update()
    {
        timerText.text = timer.ToString();
        

        if (timer<=0)
        {
            isRunning=false;
        }
    }
    IEnumerator popitt(){
        yield return new WaitForSeconds(1f);
        Destroy(popit);
    }

    IEnumerator StartTimer()
    {
        while(isRunning){
            timer--;    
          yield return new WaitForSeconds(1f);
             
        }
        
    }
}